[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.ScrollBars

Specifies the scroll bars displayed for the tree view control.

## Declaration

Source position: comctrls.pp line 3778

`public property TCustomTreeView.ScrollBars : TScrollStyle read FScrollBars write SetScrollBars default ssBoth;`

## Description

ScrollBars is a TScrollStyle property with the scroll bars displayed for the tree view control. The default value for the property is ssBoth, and indicates both horizontal and vertical scroll bars are always visible. See TScrollStyle for more information about values in the enumeration and their meanings.

Changing the value for the property causes the States property to be updated, and the scroll bars are redrawn for the control.

## See also

TCustomTreeView.States |  | Contains the state values in effect for the control.
TScrollStyle |  | Indicates the visibility for scrollbars on a control.